#pragma once

#include "resource.h"		// main symbols
#include "atltypes.h"
#include "afxwin.h"


// CWaitSplasWindow dialog

class CWaitSplasWindow : public CDialogEx
{
	DECLARE_DYNAMIC(CWaitSplasWindow)

public:
	CWaitSplasWindow(
        LPCTSTR sMessageText = NULL,
        CWnd* pParent = NULL
        );
	virtual ~CWaitSplasWindow();

// Dialog Data
	enum { IDD = IDD_WAITSPLASWINDOW };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
    CString m_sMessageText;
    virtual BOOL OnInitDialog();
    virtual void OnOK();
    virtual void OnCancel();
    afx_msg void OnPaint();
    CPoint m_oRtsddLogoPoint;
    CImage m_oRtsddLogoImage;
    CRect m_oRtsddLogoRect;
    afx_msg void OnTimer(UINT_PTR nIDEvent);
    UINT_PTR m_nAnimateTimer;
    int m_nWaitImageID;
    CPoint m_oWaitImagePoint;
    CRect m_oWaitImageRect;
    CImageList m_oWaitImageList;
    afx_msg void OnDestroy();
};
